Subject: bug#57420: 29.0.50; Failure configuring Emacs with animated WebP support

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Aug 2022 08:51:51 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 25 Aug 2022 22:50:24 +0000
> 
> Daniel Martín via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
> > I checked that the built Emacs has WebP support.
> >
> > What do you think? I'd need an build system expert to verify that this
> > is TRT in GNU/Linux, Windows, or when pkg-config is not available.
> 
> FWIW, I tried building with that patch here (Debian GNU/Linux) and the
> build doesn't have webp support.
> 
>     (image-type-available-p 'webp)
>     => nil

Details, please.  Did the configure script decide that WebP is not
available?  If so, please show the relevant portion of config.log.
Also, what does the shell command below produce?

  $ pkg-config --libs "libwebpdemux >= 0.6.0"